Runtime

## org.eclipse.gmf.runtime.diagram.ui.parts
Class DiagramEditorInput

    java.lang.Object
      org.eclipse.gmf.runtime.diagram.ui.parts.DiagramEditorInput

All Implemented Interfaces:
  IAdaptable, IDiagramEditorInput, IEditorInput

public class DiagramEditorInput
extends java.lang.Object
implements IDiagramEditorInput

Constructor Summary
`DiagramEditorInput(Diagram diagram)` Method DiagramEditorInput.

Method Summary
`boolean` `equals(java.lang.Object obj)`
`boolean` `exists()`
`java.lang.Object` `getAdapter(java.lang.Class adapter)`
`Diagram` `getDiagram()` Method getDiagram.
`ImageDescriptor` `getImageDescriptor()`
`java.lang.String` `getName()`
`IPersistableElement` `getPersistable()`
`java.lang.String` `getQName()` gets fully qualified name
`java.lang.String` `getToolTipText()`
`int` `hashCode()`
`protected void` `setDiagram(Diagram diagram)` Sets the diagram.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DiagramEditorInput

    public DiagramEditorInput(Diagram diagram)

  Method DiagramEditorInput.

Parameters:
  `diagram` -

Method Detail

### getDiagram

    public Diagram getDiagram()

  Description copied from interface: `IDiagramEditorInput`
  Method getDiagram.

  Specified by:
    `getDiagram` in interface `IDiagramEditorInput`
  Returns:
    Diagram

### exists

    public boolean exists()

  Specified by:
    `exists` in interface `IEditorInput`
  See Also:
    `IEditorInput.exists()`

### getImageDescriptor

    public ImageDescriptor getImageDescriptor()

  Specified by:
    `getImageDescriptor` in interface `IEditorInput`
  See Also:
    `IEditorInput.getImageDescriptor()`

### getQName

    public java.lang.String getQName()

  gets fully qualified name

  Returns:
    `String`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `IEditorInput`
  See Also:
    `IEditorInput.getName()`

### getPersistable

    public IPersistableElement getPersistable()

  Specified by:
    `getPersistable` in interface `IEditorInput`
  See Also:
    `IEditorInput.getPersistable()`

### getToolTipText

    public java.lang.String getToolTipText()

  Specified by:
    `getToolTipText` in interface `IEditorInput`
  See Also:
    `IEditorInput.getToolTipText()`

### getAdapter

    public java.lang.Object getAdapter(java.lang.Class adapter)

  Specified by:
    `getAdapter` in interface `IAdaptable`
  See Also:
    `IAdaptable.getAdapter(Class)`

### equals

    public boolean equals(java.lang.Object obj)

  See Also:
    `Object.equals(Object)`

### hashCode

    public int hashCode()

  See Also:
    `Object.hashCode()`

### setDiagram

    protected void setDiagram(Diagram diagram)

  Sets the diagram.

  Parameters:
    `diagram` - The diagram to set

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.